### Name: Multilocation
### Title: A multilocation trial
### Aliases: Multilocation
### Keywords: datasets

### ** Examples

options(
  contrasts = c(unordered = "contr.SAS", ordered = "contr.poly"))
data(Multilocation)
formula( Multilocation )
names( Multilocation )
### Create a Block 
Multilocation$Grp <-
  getGroups( Multilocation, form = ~ Location/Block, level = 2 )
fm1Mult <- lme( Adj ~ Location * Trt, data = Multilocation, ~ 1 | Grp)
summary( fm1Mult )
VarCorr( fm1Mult )
anova( fm1Mult )
fm2Mult <- update( fm1Mult, Adj ~ Location + Trt )
fm3Mult <- update( fm1Mult, Adj ~ Location )
fm4Mult <- update( fm1Mult, Adj ~ Trt )
fm5Mult <- update( fm1Mult, Adj ~ 1 )
summary( fm2Mult )
VarCorr( fm2Mult )
anova( fm2Mult )
### Treating the location as a random effect
## Don't run: 
##D fm1MultR <- lme( Adj ~ Trt, data = Multilocation,
##D   random = list( Location = pdCompSymm( ~ Trt - 1 ), Block = ~ 1 ) )
##D summary( fm1MultR )
##D intervals( fm1MultR )
##D VarCorr( fm1MultR )
##D anova( fm1MultR )
## End Don't run
## Don't run: 
##D fm2MultR <-
##D   update( fm1MultR, random = list( Location = ~ Trt - 1, Block = ~ 1 ))
##D anova( fm1MultR, fm2MultR )
## End Don't run



